﻿using System;
using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class ReferralRecordSettingDO : BaseDO
    {
        /// <summary>
        /// 转诊配置编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string ReferralRecordSettingCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 转诊超时时限
        /// </summary>
        public double LimitHours { get; set; } = 1;

    }
}
