﻿using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class StorageInfoDO : BaseDO
    {
        [UniqueItem]
        [QueryItem]
        /// <summary>
        /// File unique identification
        /// </summary>
        public string Token { get; set; }

        [QueryItem]
        /// <summary>
        /// File name
        /// </summary>
        public string FileName { get; set; }

        private string _storageRoute;
        /// <summary>
        /// File storage url or path
        /// </summary>
        public string StorageRoute
        {
            get
            {
                return DOShare.ChangeUrl(_storageRoute);
            }
            set
            {
                _storageRoute = value;
            }
        }
    }
}
