﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class ThirdPartyInfoDO : BaseDO
    {
        /// <summary>
        /// 名称
        /// </summary>
        [QueryItem]
        public string Name { get; set; }

        /// <summary>
        /// 允许访问的接口
        /// </summary>
        /// <value></value>
        public List<string> AllowedInterfaces { get; set; }

        /// <summary>
        /// 是否可用
        /// </summary>
        /// <value>true</value>
        [QueryItem]
        public bool IsValid { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string ContactPersonName { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        /// <value></value>
        [QueryItem]
        public string ContactPhone { get; set; }
    }


}
