using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 计费资源包信息实体
    /// </summary>
    public class ChargeResourcePackageEntity : BaseEntity
    {
        /// <summary>
        /// 计费资源包名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 计费资源包类型
        /// </summary>
        /// <value></value>
        public ChargeResourcePackageTypeEnum ResourcePackageType { get; set; }

        /// <summary>
        /// 价格
        /// </summary>
        /// <value></value>
        public decimal Price { get; set; }

        /// <summary>
        /// 适用业务
        /// </summary>
        /// <value></value>
        public string BusinessCode { get; set; }
    }
}