using WingInterfaceLibrary.Enum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 公共字典
    /// </summary>
    public class CommonDictionaryEntity : BaseEntity
    {
        /// <summary>
        /// 字典键
        /// </summary>
        public string Key { get; set; }

        /// <summary>
        /// 字典名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 字典类型
        /// </summary>
        public CommonDictionaryTypeEnum Type { get; set; }

        /// <summary>
        /// 字典值字符串型
        /// </summary>
        public string ValueStr { get; set; }

        /// <summary>
        /// 字典值Float
        /// </summary>
        public float ValueF { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 父级
        /// </summary>
        public string ParentCode { get; set; }
    }
}