using WingInterfaceLibrary.Enum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 视频信息表
    /// </summary>
    public class DeviceOutputConfig : BaseEntity
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 设备视频输出类型
        /// </summary>
        /// <value></value>
        public DeviceVideoOutputTypeEnum DeviceVideoOutputType { get; set; }

        /// <summary>
        /// 画面宽度
        /// </summary>
        /// <value></value>
        public int VideoWidth { get; set; }

        /// <summary>
        /// 画面高度
        /// </summary>
        /// <value></value>
        public int VideoHeight { get; set; }
    }
}