using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WingMongoDBModule.Entities
{
    public class FaceRecognitionEntity : BaseEntity
    {
        /// <summary>
        /// 人员Id
        /// </summary>
        /// <value></value>
        public string PersonId { get; set; }

        /// <summary>
        /// 特征数据
        /// </summary>
        /// <value></value>
        public string Data { get; set; }

        /// <summary>
        /// 特征大小
        /// </summary>
        /// <value></value>
        public int Size { get; set; }

        /// <summary>
        /// 特征模型版本
        /// </summary>
        /// <value></value>
        public string IdRegModelVersion { get; set; }

        /// <summary>
        /// 图片地址
        /// </summary>
        /// <value></value>
        public string ImagePath { get; set; }
    }
}