using System;
using WingInterfaceLibrary.DTO.Management;
namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 迁移记录表
    /// </summary>
    public class MigrateRecordEntity : BaseEntity
    {
        /// <summary>
        /// 迁移时间
        /// </summary>
        public DateTime MigrateTime { get; set; }

        /// <summary>
        /// 迁移内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 迁移类型 0：1.7迁移到新平台业务表中
        ///          1：迁移到数据中心
        /// </summary>
        /// <value></value>
        public MigrateRecordType Type { get; set; }=MigrateRecordType.Default;
    }
}