using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 报名学生信息表
    /// </summary>
    public class SignStudentEntity : BaseEntity
    {
        /// <summary>
        /// 学生编码
        /// </summary>
        public string StudentCode { get; set; }

        /// <summary>
        /// 课程或课程专辑编码
        /// </summary>
        /// <value></value>
        public string CourseOrAlbumCode { get; set; }

        /// <summary>
        /// 呈现类型
        /// </summary>
        /// <value></value>
        public CourseAppearTypeEnum CourseAppearType { get; set; }

        /// <summary>
        /// 是否支付
        /// </summary>
        /// <value></value>
        public bool IsPay { get; set; }

        /// <summary>
        /// 学生对于课程的状态
        /// </summary>
        ///  <value>0</value>
        public StudentCourseStatusEnum SignCourseStatus { get; set; }
    }
}