namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 用户科研URM配置
    /// </summary>
    public class UserUrmConfigEntity : BaseEntity
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 配置名称
        /// </summary>
        /// <value></value>
        public string ConfigName { get; set; }

        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value></value>
        public bool IsDefault { get; set; }

        /// <summary>
        /// 配置类型，1：URM后处理配置
        /// </summary>
        /// <value></value>
        public int ConfigType { get; set; }

        /// <summary>
        /// 配置详情
        /// </summary>
        /// <value></value>
        public string ConfigData { get; set; }

    }
}