using WingInterfaceLibrary.DB;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Entity
{
    public class BaseDataEntity<T> where T : IBaseDO
    {  
        /// <summary>
        /// 实际业务数据
        /// </summary>
        /// <value></value>
        public T Data { get; set; }

        /// <summary>
        /// 扩展字段
        /// </summary>
        /// <value></value>
        public string ExtendsData { get; set; }

        public BaseDataEntity(IBaseDO data, string extendsData)
        {
            Data = (T)data;
            ExtendsData = extendsData;
        }
    }
}