﻿
using MongoDB.Bson.Serialization;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Repositories
{
    public class ThesaurusDBRepository : BaseDBRepository<ThesaurusDO>
    {
        public ThesaurusDBRepository():base("Thesaurus", false){
            BsonClassMap.RegisterClassMap<ThesaurusDO>(cm => {
                cm.SetIgnoreExtraElements(true);
                cm.AutoMap();
                cm.MapProperty(c => c.ThesaurusUser).SetDefaultValue(string.Empty);
            });
        }
    }
}
