using System;
using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;
using Serilog.Events;

namespace WingMongoDBModule.DO
{
    public class LogEntry
    {
        public ObjectId Id { get; set; }

        [BsonRepresentation(BsonType.String)]
        public LogEventLevel Level { get; set; }

        public DateTime Timestamp { get; set; }

        public string UtcTimestamp { get; set; }

        public string MessageTemplate { get; set; }

        public string RenderedMessage { get; set; }

        public BsonDocument Properties { get; set; }

        public BsonDocument Exception { get; set; }

    }
}