﻿using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.DO.Enum;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class LogRecordInfoDO : BaseDO
    {
        /// <summary>
        /// 关联编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string RelevanceCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        /// <summary>
        /// 日志类型
        /// </summary>
        public LogTypeEnum LogType { get; set; }

        /// <summary>
        /// 日志内容
        /// </summary>
        public string LogContent { get; set; }

        /// <summary>
        /// 日志压缩包地址
        /// </summary>
        public string LogZipPath { get; set; }
    }
}
