﻿using MongoDB.Bson.Serialization.Attributes;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.DO
{
    public class UserRankDO : BaseDO
    {
        /// <summary>
        /// 职称编码
        /// </summary>
        /// <value></value>
        [BsonIgnore]
        public string RankCode
        {
            get
            {
                return Code;
            }
            set
            {
                Code = value;
            }
        }

        [QueryItem]
        /// <summary>
        /// 职称名称
        /// </summary>
        public string RankName { get; set; }

        [QueryItem]
        /// <summary>
        /// 组织编码（可空，空则为公开）
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }
    }
}
