using System;

namespace WingMongoDBModule.Mongodb.Driver
{
    /// <summary>
    /// Used to determine whether the DO field be unique
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class TableNameAttribute : Attribute
    {
        /// <summary>
        /// Table name
        /// </summary>
        public string Value { get; private set; }
        public TableNameAttribute(string name)
        {
            Value = name;
        }
    }
}