using WingInterfaceLibrary.Enum;
using WingMongoDBModule.Entities;
using WingMongoDBModule.Mongodb.Driver;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 添加会诊评价
    /// </summary>
    public class ConsultationEvaluateEntity : BaseEntity
    {
        /// <summary>
        /// 预约会诊记录编码
        /// </summary>
        [QueryItem]
        public string ConsultationRecordCode { get; set; }

        /// <summary>
        /// 评价等级
        /// </summary>
        [QueryItem]
        public EvaluateGradeEnum EvaluateGrade { get; set; }

        /// <summary>
        /// 评价等级
        /// </summary>
        public double EvaluateScore { get; set; }

        /// <summary>
        /// 评价反馈
        /// </summary>
        public string Feedback { get; set; }
    }
}