using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 设备补丁包版本信息
    /// </summary>
    public class DevicePatchVersionEntity : BaseEntity
    {
        /// <summary>
        /// 版本类型
        /// </summary>
        /// <value></value>
        public DeviceVersionEnum VersionTypeEnum { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value></value>
        public string DeviceType { get; set; }

        /// <summary>
        /// 版本号
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

    }
}