using WingMongoDBModule.DO;
namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// AI诊断结果
    /// </summary>
    public class DiagnosisResultEntity : BaseEntity
    {
        private string _fileUrl;
        /// <summary>
        /// 关联编码
        /// </summary>
        public string RelationCode { get; set; }

        /// <summary>
        /// 图像地址
        /// </summary>
        public string FileUrl
        {
            get
            {
                return DOShare.ChangeUrl(_fileUrl);
            }
            set
            {
                _fileUrl = value;
            }
        }

        /// <summary>
        /// 图片数量
        /// </summary>
        public int Index { get; set; }

        /// <summary>
        /// AI诊断结果
        /// </summary>
        public string DiagnosisResult { get; set; }
    }
}