using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingMongoDBModule.Entities;

namespace WingMongoDBModule.Entities
{
    /// <summary>
    /// 等级保护配置
    /// </summary>
    public class GradingProtectionConfigEntity:BaseEntity
    {
        /// <summary>
        /// 等级编码
        /// </summary>
        /// <value></value>
        public string ModuleCode 
        { 
            get{return Code;}
            set{ Code=value;}
        }
        /// <summary>
        /// 等级模块名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 配置类型
        /// </summary>
        public int ConfigType { get; set; }

        /// <summary>
        /// 配置值
        /// </summary>
        public string Value { get; set; }
    }
}
