using WingMongoDBModule.Entities;

namespace WingMongoDBModule.Repositories
{
    /// <summary>
    /// 设备输出配置
    /// </summary>
    public class DeviceOutputConfigDBRepository: SimpleDBRepository<DeviceOutputConfig>
    {
        public DeviceOutputConfigDBRepository() : base("DeviceOutputConfigs") 
        {
            
        }
    }

    /// <summary>
    /// 品牌型号输出配置
    /// </summary>
    public class BrandModelOutputConfigDBRepository: SimpleDBRepository<BrandModelOutputConfig>
    {
        public BrandModelOutputConfigDBRepository() : base("BrandModelOutputConfigs") 
        {
            
        }
    }
}