﻿
using MongoDB.Bson.Serialization;
using WingMongoDBModule.DO;

namespace WingMongoDBModule.Repositories
{
    public class ReportTemplateDBRepository : BaseDBRepository<ReportTemplateDO>
    {
        public ReportTemplateDBRepository():base("ReportTemplate", false){
            BsonClassMap.RegisterClassMap<ReportTemplateDO>(cm => {
                cm.SetIgnoreExtraElements(true);
                cm.AutoMap();
                cm.MapProperty(c => c.ReportTemplateUser).SetDefaultValue(string.Empty);
            });
        }
    }
}
